
From: Jens Axboe <axboe@suse.de>

Currently SCSI cdroms show up in /proc/partitions in 2.6, they didn't in
2.4.  And ATAPI cdroms don't show up either.  Mark both as genhd removable
for now, when they are partionable this can be updated.


---

 25-akpm/drivers/ide/ide-cd.c |    1 +
 25-akpm/drivers/scsi/sr.c    |    1 +
 2 files changed, 2 insertions(+)

diff -puN drivers/ide/ide-cd.c~dont-show-cdroms-in-proc-partitions drivers/ide/ide-cd.c
--- 25/drivers/ide/ide-cd.c~dont-show-cdroms-in-proc-partitions	2004-03-25 00:39:55.421345008 -0800
+++ 25-akpm/drivers/ide/ide-cd.c	2004-03-25 00:39:55.426344248 -0800
@@ -3510,6 +3510,7 @@ static int ide_cdrom_attach (ide_drive_t
 
 	cdrom_read_toc(drive, &sense);
 	g->fops = &idecd_ops;
+	g->flags |= GENHD_FL_REMOVABLE;
 	add_disk(g);
 	return 0;
 failed:
diff -puN drivers/scsi/sr.c~dont-show-cdroms-in-proc-partitions drivers/scsi/sr.c
--- 25/drivers/scsi/sr.c~dont-show-cdroms-in-proc-partitions	2004-03-25 00:39:55.422344856 -0800
+++ 25-akpm/drivers/scsi/sr.c	2004-03-25 00:39:55.427344096 -0800
@@ -575,6 +575,7 @@ static int sr_probe(struct device *dev)
 		goto fail_put;
 
 	dev_set_drvdata(dev, cd);
+	disk->flags |= GENHD_FL_REMOVABLE;
 	add_disk(disk);
 
 	printk(KERN_DEBUG

_
